List custom contact fields
curl --request GET \
--url https://api.withallo.com/v2/api/crm/attributes \
--header 'Authorization: <api-key>'import requests
url = "https://api.withallo.com/v2/api/crm/attributes"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.withallo.com/v2/api/crm/attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"key": "budget",
"label": "Budget",
"type": "NUMBER"
}
],
"pagination": {
"page": 1,
"size": 20,
"total_count": 1,
"total_pages": 1,
"has_more": false
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}Custom fields
List custom fields
Returns the custom fields defined on your team’s people, paginated. Includes the fields you created with the API and the ones synced from your CRM integrations. Built-in fields such as name or company are not listed.
GET
/
v2
/
api
/
crm
/
attributes
List custom contact fields
Required scope:
CRM_READname or company are not listed.
This endpoint is paginated. Use page and size query parameters to control results (size up to 100). See Pagination.
Response fields
| Field | Type | Description |
|---|---|---|
key | string | Unique key of the field |
label | string or null | Display name |
type | string or null | TEXT, NUMBER, DATE, BOOLEAN or DROPDOWN |
{
"data": [
{ "key": "budget", "label": "Budget", "type": "NUMBER" }
],
"pagination": {
"page": 1,
"size": 20,
"total_count": 1,
"total_pages": 1,
"has_more": false
}
}
Errors
| Status | Code | When |
|---|---|---|
400 | INVALID_PAGE_SIZE | page is below 1 or size is not between 1 and 100 |
403 | API_KEY_INSUFFICIENT_SCOPE | The key does not hold CRM_READ |
404 | TEAM_NOT_FOUND | The workspace is not on the new contact model |
Authorizations
Query Parameters
Page number (1-indexed)
Required range:
x >= 1Results per page
Required range:
1 <= x <= 100Was this page helpful?